Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.model
Class DrawingManager

    java.lang.Object
      org.apache.poi.hssf.model.DrawingManager

public class DrawingManager
extends java.lang.Object

Provides utilities to manage drawing groups.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`DrawingManager(EscherDggRecord dgg)`

Method Summary
`int` | `allocateShapeId(short drawingGroupId)` Allocates new shape id for the new drawing group id.
`EscherDgRecord` | `createDgRecord()`
`EscherDggRecord` | `getDgg()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawingManager

    public DrawingManager(EscherDggRecord dgg)

Method Detail

### createDgRecord

    public EscherDgRecord createDgRecord()

### allocateShapeId

    public int allocateShapeId(short drawingGroupId)

  Allocates new shape id for the new drawing group id.

  Returns:
    a new shape id.

### getDgg

    public EscherDggRecord getDgg()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.